Create Virtual AccountAsk AIpost https://api.durianpay.id/v1/payments/vaThe following endpoint creates a new virtual accountBody Paramsbank_codestringrequiredDefaults to PERMATAThe bank code for the Virtual Account. Supported Bank Codes: "BRI", "BCA", "MANDIRI", "PERMATA", "CIMB", "BNI", "NOBU"namestringrequiredDefaults to Dpay Jane DoeThe name of the virtual account which will appear in ATM/Banking app. Example: "John's Virtual Account"is_closedbooleanDefaults to trueWhether account can accept open(any amount) or closed(specific amount). Example: true or falsetruefalseamountstringDefaults to 20000Specify amount to be paid to va when is_closed=true. Example: "12000.12"customerobjectrequiredObject containing fields (id, email, mobile, given_name). One of (id, mobile, email) is mandatory field and given_name is mandatory.customer objectexpiry_minutesint32Defaults to 100Number of minutes left till expiry from now. maximum: 15768000 minutesaccount_suffixstringDefaults to 123456Account suffix for the Virtual Account. If not provided, a random suffix will be automatically generated for the virtual account number.is_reusablebooleanDefaults to falseWhether multiple payments can be used for a particular VA. Example: true or falsetruefalseva_ref_idstringDefaults to VA_123A reference ID which the merchant wants to use for a specific VA. Example: "VA_XYZ_1234"auto_disable_after_paymentbooleanDefaults to falseDisable a reusable VA temporarily after a payment. Patch API can be used to enable it again after changing some parameters. Example: true or falsetruefalseResponses 200200 401401 500500Updated 10 months ago